Page MenuHomePhabricator

Disable "cross-wiki upload" from zhwiki to commons
Closed, ResolvedPublic

Description

Per local discussion, please disable the "cross-wiki upload" feature from zh.wikipedia.org to commons. This will really help the copyvio-checker.

Event Timeline

Cosine02 created this task.Jul 3 2016, 3:31 AM
Restricted Application added subscribers: Zppix, Poyekhali, JEumerus and 3 others. · View Herald TranscriptJul 3 2016, 3:31 AM
Dereckson moved this task from Incoming to Uploading on the Commons board.
Dereckson added a subscriber: Dereckson.EditedJul 3 2016, 2:30 PM

Feedback gathered on Wikimedia Commons' IRC channel: this request is a local matter, and the zh. community can legitimately ask to turn off this feature.

Cwek added a subscriber: Cwek.Jul 13 2016, 12:43 AM

By "disable", do you mean that the feature should be disabled entirely ($wgForeignUploadTargets = []), or that the files should be uploaded locally to zh.wp instead of Commons? ($wgForeignUploadTargets = [ 'local' ])?

Jdforrester-WMF changed the task status from Open to Stalled.Sep 7 2016, 7:05 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Stalled awaiting clarification.

Cwek added a comment.Sep 9 2016, 9:29 AM

By "disable", do you mean that the feature should be disabled entirely ($wgForeignUploadTargets = []), or that the files should be uploaded locally to zh.wp instead of Commons? ($wgForeignUploadTargets = [ 'local' ])?

[ 'local' ]

Cwek added a comment.Sep 9 2016, 9:33 AM

By "disable", do you mean that the feature should be disabled entirely ($wgForeignUploadTargets = []), or that the files should be uploaded locally to zh.wp instead of Commons? ($wgForeignUploadTargets = [ 'local' ])?

[ 'local' ]

It means only uploading to zh.wp. It does n't allow upload from zh.wp to common with cross-wiki upload.

By "disable", do you mean that the feature should be disabled entirely ($wgForeignUploadTargets = []), or that the files should be uploaded locally to zh.wp instead of Commons? ($wgForeignUploadTargets = [ 'local' ])?

[ 'local' ]

It means only uploading to zh.wp. It does n't allow upload from zh.wp to common with cross-wiki upload.

I think $wgForeignUploadTargets = [] is a better selection, for locally upload may cause the abuse of fair use. Anyway, this should be discussed in village pump first.

I think $wgForeignUploadTargets = [] is a better selection, for locally upload may cause the abuse of fair use. Anyway, this should be discussed in village pump first.

Has someone started that discussion on the VP? If so, link is welcome. :)

I think $wgForeignUploadTargets = [] is a better selection, for locally upload may cause the abuse of fair use. Anyway, this should be discussed in village pump first.

Has someone started that discussion on the VP? If so, link is welcome. :)

Link is here. Sorry for my delay.

Cosine02 changed the task status from Stalled to Open.Nov 16 2016, 7:05 AM

After about ten days discussion, please set it as [ 'local' ]. Thanks.

Cwek added a comment.Nov 17 2016, 6:05 AM

discussion

please set it as [ 'local' ].

Cwek triaged this task as Normal priority.Nov 18 2016, 6:51 AM

Change 322251 had a related patch set uploaded (by Zhuyifei1999):
Set $wgForeignUploadTargets to [ 'local' ] for zhwiki

https://gerrit.wikimedia.org/r/322251

Change 322251 merged by jenkins-bot:
Set $wgForeignUploadTargets to [ 'local' ] for zhwiki

https://gerrit.wikimedia.org/r/322251

Mentioned in SAL (#wikimedia-operations) [2016-11-21T14:21:43Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:322251|Set $wgForeignUploadTargets to [ local ] for zhwiki (T139257)]] (duration: 00m 50s)

matmarex closed this task as Resolved.Nov 21 2016, 2:31 PM

Configuration change deployed.

While testing, I noticed that an incorrect error message is displayed for users who do not have the permission to upload files ("You must be logged in to upload files.", even if the user is logged in). I'll submit a fix for this, it should be deployed later this week per the usual schedule.

Change 322652 had a related patch set uploaded (by Bartosz Dziewoński):
mw.Upload.BookletLayout: Improve error message when not all logged-in users can upload

https://gerrit.wikimedia.org/r/322652

Change 322652 merged by jenkins-bot:
mw.Upload.BookletLayout: Improve error message when not all logged-in users can upload

https://gerrit.wikimedia.org/r/322652

Cwek moved this task from Backlog to Closed on the Chinese-Sites board.